/*
 * The window is used as 80 columns and 24 rows
 */


 int call_t_help(void)
 {
  gotoxy(0,20);
  write(1,"YOU ARE IN SINGLE STEP MODE:                                                   \nENTER n TO CONTINUE                                                            \nENTER  r OR x TO TERMINATE THE MODE                                            \n                                                                              ",318);
  return(0);
 }


 int clear_help(void )
 {
  gotoxy(0,20);
  write(1,"                                                                               \n                                                                               \n                                                                               \n                                                                              ",318);
  return(0);
 }



 /* FUNCTION TO CONVERT ASCII_CHARACTER TO INTEGER */
 int ascci_to_int (int ascci_char)
 {
  return(ascci_char < 58 ? ascci_char - 48 : ascci_char - 87);
 }    
 
 int reset(void)
 {
  char ch = 'j';
  clear_help();
  gotoxy(0,20);
  write(1,"PRESS r TO RESET",16);
  gotoxy(1,0);
  write(1,"err     ",8);
  while(ch != 'r') ch = getch();
  clear_help();
  gotoxy(0,20);
  write(1,"SELECT A MODE",13);
  gotoxy(1,0);
  write(1,"_ups  85                                  ",42);
  return(0);
 }


 int shift_help(void)
 {
  gotoxy(0,20);
  write(1,"YOU ARE IN SHIFT MODE: ENTER                                                   \nLOW LIMIT ADDRESS_n HIGH LIMIT ADDRESS_n DESTINATION ADDRESS_x                 \n                                                                               \n                                                                              ",318);
  return(0);
 }

 int exam_reg_help(void)
 {
  gotoxy(0,20);
  write(1,"YOU ARE IN EXAM.REGISTER MODE: ENTER                                           \na,b,c,d,e,f,8,9,4,5,6 OR 7 TO EXAM & OPTIONALLY VARY A,B,C,D,E,FLAG,H,L,       \nHIGH&LOW BYTES OF STACK,HIGH&LOW BYTES OF PROGRAM COUNTER REGISTERS            \nRESPECTIVELY.PRESS n,x TO CONTINUE WITH OR TERMINATE PRESENT MODE             ",318);
  return(0);
 }

 int insert_help(void)
 {
  gotoxy(0,20);
  write(1,"YOU ARE IN INSERT MODE: ENTER                                                  \nLOW LIMIT,HIGH LIMIT,LOW INSERT ADDRESSES AND NUMBER OF BYTES                  \n                                                                               \n                                                                              ",318);
  return(0);
 }

 int delete_help(void)
 {
  gotoxy(0,20);
  write(1,"YOU ARE IN DELETE MODE:ENTER                                                   \nLOW LIMIT ADRESS_n,HIGH LIMIT ADRESS_n                                         \nLOW DELETE ADDRESS_n AND HIGH DELETE ADRESS_x                                  \n                                                                              ",318);
  return(0);
 }


 int exam_memory_help(void)
 {
  gotoxy(0,20);
  write(1,"YOU ARE IN EXAM.MEMORY MODE: OPTIONALLY VARY DATA OR ENTER                     \nn OR p TO CONFIRM PRESENT DATA & CONTINUE WITH NEXT OR PREVIOUS LOCATION       \nENTER x TO CONFIRM PRESENT DATA & TERMINATE PRESENT MODE.ENTER z FOR NEXT      \nSET OF CODES.ENTER r TO TERMINATE PRESENT MODE WITHOUT SAVING CHANGED DATA    ",318);
  return(0);
 }
